Change own password
POST
/v1/me/change-password
const url = 'https://example.com/v1/me/change-password';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"old_password":"example","new_password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/me/change-password \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "old_password": "example", "new_password": "example" }'Self-service password change. Requires the current password; the new password must satisfy the strength policy (otherwise weak-password).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
old_password
required
string
new_password
required
string
Examplegenerated
{ "old_password": "example", "new_password": "example"}Responses
Section titled “Responses”Password changed
default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}